import 'package:isar/isar.dart';
import 'package:okane/database/collections/account.dart';
import 'package:okane/database/collections/beneficiary.dart';

part 'loan.g.dart';

@collection
class Loan {
  Id id = Isar.autoIncrement;

  final beneficiary = IsarLink<Beneficiary>();

  final changes = IsarLinks<LoanChange>();
}

@collection
class LoanChange {
  Id id = Isar.autoIncrement;

  late double amount;

  late DateTime date;
}
